{% extends "base/base.html" %}

{% block content %}

    <h1 class="page-header">
        {{ organization.get_html_name|safe }}
    </h1>

    <div class="row">
        <div class="col-md-6">
            <p>{{ organization.description }}</p>
            {% if organization.heir_first %}
                <p>First heir: {{ organization.heir_first.get_html_link|safe }}</p>
            {% endif %}
            {% if organization.heir_second %}
                <p>Second heir: {{ organization.heir_second.get_html_link|safe }}</p>
            {% endif %}
        </div>
        <div class="col-md-6 lead">
            {% if organization.get_position_occupier %}
                {{ organization.get_position_occupier.get_html_link|safe }}<br>
            {% endif %}
            {{ organization.name }}
            {% if organization.violence_monopoly and not organization.barbaric %}
                <br><b>Sovereign <span class="glyphicon glyphicon-tower" aria-hidden="true"></span></b>
            {% endif %}
            {% if organization.violence_monopoly and organization.barbaric %}
                <br><b>Barbaric <span class="glyphicon glyphicon-fire" aria-hidden="true"></span></b>
            {% endif %}
            {% if organization.owner %}
                <br>Owned by {{ organization.owner.get_html_link|safe }}
            {% endif %}
            {% if organization.leader %}
                <br>Lead by {{ organization.leader.get_html_link|safe }}
            {% endif %}
            {% if organization.leaded_organizations.all %}
                <br>Leader of
                {% for leaded_orga in organization.leaded_organizations.all %}
                    {{ leaded_orga.get_html_link|safe }}
                    {% if not forloop.last %},{% endif %}
                {% endfor %}
            {% endif %}
            {% if organization.owned_organizations.all %}
                <br>Owner of
                    {% for owned_orga in organization.owned_organizations.all %}
                        {{ owned_orga.get_html_link|safe }}
                        {% if not forloop.last %},{% endif %}
                    {% endfor %}
            {% endif %}
            {% if organization.has_tax_collection %}
                <br>Next tax collection in {{ organization.tax_countdown }}
                months.
            {% endif %}
        </div>
    </div>

    <hr>

    <div class="col-md-6">
        {% if organization.get_all_controlled_tiles %}
            <h4>Controlled regions</h4>
            <ul>
                {% for tile in organization.get_all_controlled_tiles %}
                    <li>
                        {{ tile.get_html_link|safe }}
                        {% if tile.controlled_by != organization %}
                            (controlled by
                            {{ tile.controlled_by.get_html_link|safe }})
                        {% endif %}
                    </li>
                {% empty %}
                    <li>None</li>
                {% endfor %}
            </ul>
        {% endif %}

        {% if organization.current_election or organization.last_election or organization.current_elections_can_vote_in %}
            <h4>Elections</h4>
            {% if organization.current_election %}
                <a href="{{ organization.current_election.get_absolute_url }}" class="lead">
                    Current election for this position
                </a>
                <br>
            {% endif %}
            {% if organization.last_election %}
                <a href="{{ organization.last_election.get_absolute_url }}">
                    Last election for this position
                </a>
                <br>
            {% endif %}
            {% if organization.current_election or organization.last_election %}
                <a href="{% url 'organization:election_list' organization.id %}">
                    Past elections for this position
                </a>
                <br>
            {% endif %}
            {% for election in organization.current_elections_can_vote_in %}
                Can currently vote for new {{ election.applying_to.get_html_link|safe }}
                {% if can_use_capabilities %}
                    <a class="btn btn-primary" href="{{ election.get_absolute_url }}">
                        Vote
                    </a>
                {% endif %}
            {% endfor %}
            {% if organization.election_period_months %}
                Elections for this position are called every {{ organization.election_period_months }} months.
            {% endif %}
        {% endif %}

        {% if organization.policydocument_set.all %}
            <h4>Documents</h4>
            <ul>
                {% for document in organization.policydocument_set.all %}
                    {% if not document.parent %}{% if document.public or hero_is_member %}
                        {% include 'organization/document_tree_inc.html' with document=document show_private=hero_is_member %}
                    {% endif %}{% endif %}
                {% endfor %}
            </ul>
        {% endif %}

        {% if not organization.is_position %}
            <h4>Members</h4>
            <ul>
                {% if organization.membership_type == 'character' %}
                    {% for char_member in organization.character_members.all %}
                        <li>
                            {{ char_member.get_html_link|safe }}
                            ({{ char_member.get_profile_display }})
                        </li>
                    {% empty %}
                        <li>None</li>
                    {% endfor %}
                {% elif organization.membership_type == 'organization' %}
                    {% for org_member in organization.organization_members.all %}
                        <li>{{ org_member.get_html_link|safe }}</li>
                    {% empty %}
                        <li>None</li>
                    {% endfor %}
                {% endif %}
            </ul>
        {% endif %}

        {% if relationships.exists %}
            <h4>Relationships</h4>
            <ul>
                {% for relationship in relationships.all %}
                    <li>{{ relationship.get_relationship_html|safe }} {{ relationship.to_organization.get_html_link|safe }}</li>
                {% endfor %}
            </ul>
        {% endif %}

        <h4>Externally applying powers</h4>
        <ul>
            {% for capability in organization.external_capabilities_to_this.all %}
                <li>
                    <a href="{{ capability.organization.get_absolute_url }}">{{ capability.organization }}</a>
                    can <b>{{ capability.get_type_display }}</b>
                    {% if capability.stemming_from %}
                        (delegated by <a href="{{ capability.stemming_from.organization.get_absolute_url }}">
                        {{ capability.stemming_from.organization }}</a>)
                    {% endif %}
                </li>
            {% empty %}
                <li>None</li>
            {% endfor %}
        </ul>
    </div>


    <div class="col-md-6">
        <h4>Actions</h4>
        {% if hero_is_member %}
            <form action="{% url 'organization:leave' organization.id %}" method="post">
                <button
                        type="submit"
                        class="btn btn-danger"
                        onclick="return confirm('Are you sure?')"
                >
                    {% if organization.is_position %}
                        Step out
                    {% else %}
                        Leave
                    {% endif %}
                </button>
            </form>
        {% else %}
            {% if not organization.is_position and organization.membership_type == 'character' %}
                <!-- REQUEST TO JOIN -->
            {% endif %}
        {% endif %}

        {% if organization.decision_taking == 'democratic' and hero_is_member %}
            <h4>Open proposals</h4>
            <ul>
                {% for proposal in organization.get_open_proposals.all %}
                    <li>
                        {{ proposal|capfirst }}
                        <a href="{{ proposal.get_absolute_url }}" class="btn btn-sm btn-primary">View</a>
                    </li>
                {% empty %}
                    <li>Currently nothing to vote.</li>
                {% endfor %}
            </ul>
            <p>
                See closed proposals.
            </p>
        {% endif %}

        <h4>Powers owned</h4>
        <ul>
            {% for capability in organization.capability_set.all %}
                <li>
                    {% if can_use_capabilities %}
                        <a href="{{ capability.get_absolute_url }}" class="btn btn-primary btn-sm button_margin">
                            {{ capability.get_type_display|capfirst }}
                        </a>
                    {% else %}
                        <b>{{ capability.get_type_display|capfirst }}</b>
                    {% endif %}
                    {% if capability.applying_to != organization %}
                        in <a href="{{ capability.applying_to.get_absolute_url }}">{{ capability.applying_to }}</a>
                    {% endif %}
                    {% if capability.stemming_from %}
                        (delegated by <a href="{{ capability.stemming_from.organization.get_absolute_url }}">
                        {{ capability.stemming_from.organization }}</a>)
                    {% endif %}
                </li>
            {% empty %}
                <li>None</li>
            {% endfor %}
        </ul>
    </div>

{% endblock %}
